
import Address from "@/components/address"
import FromList from "@/components/FromList"
import { Button, Input, Text, Textarea, View } from "@tarojs/components"
import Taro, { getCurrentPages, useRouter } from "@tarojs/taro"
import { useEffect, useState } from "react"
import "./index.scss"

export default ()=>{
  const [showSiteModal, setShowSiteModal] = useState(false);
  
  const handleSelectSite = ()=>{
    setShowSiteModal(true);
  }
  

  // 保存
  const [formData, setFormData] = useState({
    aa: "",
    bb:"",
    cc:"",
    dd:""
  })
  const handleSave = ()=>{
    const pages = getCurrentPages();
    const prevPage = pages[pages.length-2];
    Taro.eventCenter.trigger('message:detail', { text: 'test' })

    Taro.navigateBack();
  }
  // 单选
  const radioData = ['布行','二批','制衣厂'];
  const [radioActive, setRadioActive] = useState(0);
  const handleActiveRadio = (index:number)=>{
    setRadioActive(index);
  }

  return (
    <View className="company">
      <FromList value={formData["aa"]} label="公司名称" placeholder="请输入收货人姓名"/>
      <FromList value={formData["bb"]} label="公司全称" placeholder="请输入收货人姓名"/>
      <FromList value={formData["bb"]} label="公司类型" placeholder="请输入收货人姓名">
        <View className="form-radio">
          {
            radioData.map((item,index)=>{
              return <View onClick={()=>handleActiveRadio(index)} className={radioActive==index?'form-radio-active':''} key={index}>{item}</View>
            })
          }
        </View>
      </FromList>
      <FromList value={formData["bb"]} label="联系人" placeholder="请输入收货人姓名"/>
      <FromList value={formData["bb"]} label="联系方式" placeholder="请输入收货人姓名"/>
      <FromList value={formData["cc"]} onClick={handleSelectSite} label="收货地址" type="select" placeholder="请选择/省/市/区"/>
      <FromList value={formData["dd"]} label="详细地址" type="textarea" placeholder="请输入详细地址（街道、门牌号等）"/>
      
      
      <Button hoverClass="none" className="save-button" onClick={handleSave}>保存</Button>
      <Address addressOnClose={()=>setShowSiteModal(false)} show={showSiteModal}/>
    </View>
  )
}
