import { Text, View } from "@tarojs/components"
import { memo, useCallback, useEffect, useMemo } from "react"
import {formatKbPrice} from '@/common/common'
import classnames from "classnames";
import styles  from './index.module.scss'
import AmountShow from "../amountShow";
type Param = {
    style?: Object,
    number?: number,
    title?: string,
    status?: true|false, //true 加大加深
}
export default memo(({style, number = 0, status = true, title = ''}:Param) => {
    return (
        <>  
            <View className={styles.order_price}>
                <View className={classnames(styles.order_price_text, status&&styles.emphasis)}>
                    <Text>{title}</Text>
                    <View className={styles.iconfont_msg}>
                        <Text className={classnames(styles.miconfont, 'iconfont icon-zhushi')}></Text>
                        {/* <View className={classnames(styles.message)}>123123123121212312312312312</View> */}
                    </View>
                </View>
                <AmountShow status={1} number={number}/>
            </View>
        </>
    )
})