import { Image, ScrollView, Text, View } from "@tarojs/components";
import { memo } from "react";
import AmountShow from "../amountShow";
import classnames from "classnames";
import styles  from './index.module.scss'

import MCheckbox from "@/components/checkbox";
import Popup from "@/components/popup";
import SearchInput from "@/components/searchInput";
import Taro from "@tarojs/taro";
import { formatImgUrl } from "@/common/fotmat";

type Param = {
    show?: true|false,
    onClose?: () => void
}
export default memo(({show = true, onClose}:Param) => {
    //复制功能
    return (
        <View className={styles.scanPay_main}>
            <Popup show={show} showTitle={false} onClose={onClose} >
                <View className={styles.scanPay_con}>
                    <View className={classnames('iconfont icon-a-moreback', styles.miconfont_title)} onClick={onClose}></View>
                    <View className={styles.title}>扫码支付</View>
                    <View className={styles.desc}>
                        <Text className={classnames(styles.miconfont, 'iconfont, icon-zhuyi')}></Text>
                        扫码支付成功后，自动更新状态
                    </View>
                    <ScrollView scrollY className={styles.scanPay_list}>
                        <Image mode="widthFix" src={formatImgUrl('')}></Image>
                    </ScrollView>
                    <View className={styles.btns} onClick={() => {}}>保存电子确认单</View>
                </View>
            </Popup>
        </View>
        
    )
})